package com.chelvc.cloud.vehicle.api.constant;

import com.chelvc.framework.base.model.Enumerable;
import lombok.Getter;

/**
 * 内容状态枚举
 *
 * @author Woody
 * @date 2023/5/2
 */
@Getter
public enum ContentStatus implements Enumerable {
    /**
     * 待审核
     */
    AUDIT("待审核"),

    /**
     * 已上线
     */
    ONLINE("已上线"),

    /**
     * 已下线
     */
    OFFLINE("已下线");

    /**
     * 状态描述
     */
    private final String description;

    ContentStatus(String description) {
        this.description = description;
    }
}
