package com.chelvc.cloud.vehicle.api.dto;

import java.io.Serializable;
import java.util.Date;

import com.chelvc.cloud.vehicle.api.constant.ContentStatus;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 商家信息
 *
 * @author Woody
 * @date 2023/5/4
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class MerchantDTO implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 分销用户ID
     */
    private Long referrerId;

    /**
     * 商家名称
     */
    private String name;

    /**
     * Logo
     */
    private String logo;

    /**
     * 封面
     */
    private String cover;

    /**
     * 联系人
     */
    private String liaison;

    /**
     * 联系电话
     */
    private String mobile;

    /**
     * 商家等级
     */
    private Integer level;

    /**
     * 详细地址
     */
    private String address;

    /**
     * 经度
     */
    private Double longitude;

    /**
     * 纬度
     */
    private Double latitude;

    /**
     * 距离（米）
     */
    private Integer distance;

    /**
     * 是否推荐
     */
    private Boolean recommend;

    /**
     * 详细介绍
     */
    private String description;

    /**
     * 商家状态
     */
    private ContentStatus status;

    /**
     * 创建时间
     */
    private Date createTime;
}
